### Function

# Gio SettingsGetMapping

since: 2.0

#### Declaration

    gboolean
    (* GSettingsGetMapping) (
      GVariant* value,
      gpointer* result,
      gpointer user_data
    )

#### Description

The type of the function that is used to convert from a value stored in a `GSettings` to a value that is useful to the application.

If the value is successfully mapped, the result should be stored at `result` and `TRUE` returned. If mapping fails (for example, if `value` is not in the right format) then `FALSE` should be returned.

If `value` is `NULL` then it means that the mapping function is being given a “last chance” to successfully return a valid value. `TRUE` must be returned in this case.

Available since: 2.0

#### Parameters

`value`

  Type: `GVariant`

  The `GVariant` to map, or `NULL`.

  The data is owned by the caller of the function.

`result`

  Type: `gpointer*`

  The result of the mapping.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`user_data`

  Type: `gpointer`

  The user data that was passed to `g_settings_get_mapped()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the conversion succeeded, `FALSE` in case of an error.